Inhalte

# Anweisung Option Explicit

Legt fest, dass jede Variable im Programmcode explizit mit der Anweisung Dim deklariert werden muss.

Die Anweisung Option Explicit wird zur Laufzeit ausgewertet.

### Syntax:

Option Explicit

### Parameter:

Diese Anweisung muss in einem Modul vor dem ausführbaren Programmcode eingefügt werden.

### Beispiel:

    Option Explicit
    Sub ExampleExplicit
    Dim sVar As String
        sVar = "Las Vegas"
        For i% = 1 To 10 ' Gibt einen Laufzeitfehler zurück
            Rem
        Next i%
    End Sub

Bitte unterstützen Sie uns!